GET List Shipments

https://jerrytest.ewe.com.au/eweApi/ewe/api/getOrderList?page=1&limit=10

Use the List Shipments API to retrieve outbound shipment records and their detailed fulfilment information from the Jerry system.


Request

Attribute Type Required Description
USERNAME string Required Jerry username
APIPASSWORD string Required API password
checked_weight double Optional Checked weight
create_datetime_start date Optional Format: yyyy-MM-dd
create_datetime_end date Optional Format: yyyy-MM-dd
storage_time_start date Optional Format: yyyy-MM-dd
storage_time_end date Optional Format: yyyy-MM-dd
product_id string Optional The service product
edi_kind integer Optional It can be chosen from 1-11. EDI order type:
1: Myer;
2: David Jones;
3: Amazon;
4: Woolworths;
5: THE ICONIC;
6: Woolworths2;
7: Kmart;
8: Rebel;
9: Coles;
10: Chemist Warehouse;
11: Officeworks;
12: Toymate;
13: ALDI;
14: Harris Scarfe
Request Example

Content-Type application/javascript

{
    "USERNAME": "DUMMY",
        "APIPASSWORD": "xxxxxxxxxxxxxx",
            "checked_weight": null,
                "create_datetime_start": "2026-01-01",
                    "create_datetime_end": "2026-10-31",
                        "storage_time_start": "2026-01-01",
                            "storage_time_end": "2026-10-31",
                                "product_id": "3D35",
                                    "edi_kind": null
}

Response

Attribute Type Description
successful boolean Indicates whether the request was successful
messageId integer Response code
message string Response message
timestamp long Response timestamp (Unix milliseconds)
data object Response data object

Data

Attribute Type Description
shipments list List of shipment records
next_url string URL for next page (pagination)

Shipments

Attribute Type Description
shipment_reference string Shipment reference number
shipment_id string Internal shipment ID
sender_reference string Sender reference
edi_kind integer EDI type
from object Sender address
to object Receiver address
for object Final delivery location (optional)
items list List of shipment items

Address ('from', 'to', 'for')

Attribute Type Description
name string Contact name
business_name string Business name
lines list Address lines
suburb string Suburb
state string State
postcode string Postcode
country string Country
phone string Phone number
email string Email

items

Attribute Type Description
item_reference string Item reference
product_id string Product ID
weight number Weight
useStock integer Whether stock is used (1 = yes, 0 = no)
articelId string Article ID (shipment reference)
merchandise list Requested merchandise
shipped_merchandise list Shipped merchandise

Merchandise

Attribute Type Description
sku string SKU
goodsName string Product name
quantity number Quantity
value number Item value
description string Description

MessageId

messageId Meaning
200 Successful request
-400 Error response (request failed)

Notes

  • messageId = 200 indicates the API request was processed successfully.
  • messageId = -400 indicates a failure occurred. The specific reason will be described in the message field (e.g. authentication issue, invalid user, incorrect parameters).
Successful Response Example
{
   "successful":true,
   "messageId":200,
   "message":"Successful!",
   "timestamp":1770688938407,
   "data":{
      "shipments":[
         {
            "shipment_reference":"EPAC00000xxxxx",
            "shipment_id":"1813599",
            "from":{
               "name":"TEST",
               "business_name":"555555111",
               "lines":[
                  "6 Chifley Drive"
               ],
               "suburb":"Moorabbin Airport",
               "state":"VIC",
               "postcode":"3194",
               "phone":"0420519222",
               "email":"1111334455@qq.com",
               "country":"AU"
            },
            "to":{
               "name":"Test",
               "business_name":"",
               "lines":[
                  "6 Chifley Dr"
               ],
               "suburb":"Moorabbin Airport",
               "state":"VIC",
               "postcode":"3194",
               "country":"AU",
               "phone":"",
               "email":""
            },
            "items":[
               {
                  "item_reference":"1809044",
                  "product_id":"WHDC",
                  "weight":1.0,
                  "useStock":1,
                  "merchandise":[
                     {
                        "sku":"THEE02-S-E-MAST",
                        "goodsName":"the-edward-MASTER",
                        "quantity":2,
                        "weight":5.0,
                        "description":"",
                        "allocationStock":0
                     },
                     {
                        "sku":"9355442081263",
                        "goodsName":"Coloured Horseshoe Front Facing Gems Rose Gold/Cz 16 10",
                        "quantity":1,
                        "weight":1.0,
                        "description":"",
                        "allocationStock":0
                     }
                  ],
                  "articelId":"WHO0000005270",
                  "shipped_merchandise":[
                     {
                        "sku":"THEE02-S-E-MAST",
                        "goodsName":"the-edward-MASTER",
                        "quantity":2,
                        "weight":5.0,
                        "description":"",
                        "allocationStock":0
                     },
                     {
                        "sku":"9355442081263",
                        "goodsName":"Coloured Horseshoe Front Facing Gems Rose Gold/Cz 16 10",
                        "quantity":1,
                        "weight":1.0,
                        "description":"",
                        "allocationStock":0
                     }
                  ]
               }
            ],
            "sender_reference":"test090226-4",
            "inJerry":false,
            "updateProduct":false,
            "createDatetime":"2026-02-09 04:08:43.0",
            "storageDatetime":"2026-02-09 04:09:37.0"
         },
         {xxx},
         {xxx},
         {xxx},
         {xxx},
         {xxx},
         {xxx},
         {xxx},
         {xxx},
         {xxx}
      ],
      "next_url":"/eweApi/ewe/api/getOrderList?page=2&limit=10"
   }
}
Failed Response Example
{
    "successful": false,
    "messageId": -400,
    "message": "Incorrect API password",
    "timestamp": 0
}
{
    "successful": false,
    "messageId": -400,
    "message": "User does not exist",
    "timestamp": 0
}
Copyright © EWE Group Pty Ltd 2022 all right reserved,powered by GitbookLast Modified 19-05-2023

results matching ""

    No results matching ""